Skip to main content
GET
Get a batch

Authorizations

Authorization
string
header
required

API key as bearer token in Authorization header

Path Parameters

id
string
required

The batch job id returned from submit.

Minimum string length: 1
Example:

"batch_abc123"

Response

The current batch job status.

completion_window
enum<string>
required
Available options:
24h
created_at
integer
required
endpoint
string
required
error
object | null
required
expires_at
integer | null
required

Unix timestamp after which the assigned provider no longer completes unfinished requests. Derived from the provider's documented batch window, so it can exceed created_at plus completion_window (Google Vertex can take up to 96 hours). null when the provider documents no hard expiry.

finalized_at
integer | null
required
id
string
required
model
string
required
object
enum<string>
required
Available options:
batch
provider
string | null
required

Provider OpenRouter assigned to run the batch, using the same name as the provider field of sync responses.

request_counts
object
required
results
object[] | null
required
status
enum<string>
required
Available options:
validating,
in_progress,
finalizing,
completed,
failed,
expired,
cancelling,
cancelled
usage
object | null
required